# \[Ethereum]

{% tabs %}
{% tab title="0.2.0" %}
**Yearn Contracts** - are contracts deployed by Yearn that Term Strategy Vaults rely on as base infrastructure:

<table><thead><tr><th>Contract</th><th>Address</th><th data-hidden></th></tr></thead><tbody><tr><td>TokenizedStrategy.sol</td><td><a href="https://etherscan.io/address/0xBB51273D6c746910C7C06fe718f30c936170feD0#code"><code>0xBB51273D6c746910C7C06fe718f30c936170feD0</code></a></td><td></td></tr></tbody></table>

**Term Reference Contracts** - are contracts deployed by Term and serve as references for the purposes of validating and valuing Term repoTokens.

| Contract                 | Implementation                                                                                                               | Proxy                                                                                                                   |
| ------------------------ | ---------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| TermController.sol 0.9.0 | [`0x73b47fcC02Aa3774c67865c1f3D65640f2C29A95`](https://etherscan.io/token/0x73b47fcC02Aa3774c67865c1f3D65640f2C29A95#code)   | [`0x21FC7B250CCAeECDb2abb38e04617D1f24D98772`](https://etherscan.io/address/0x21FC7B250CCAeECDb2abb38e04617D1f24D98772) |
| DiscountRateAdapter.sol  | [`0x3C6b0398eEd7dAfcb3C13d482400329a6e25Acd2`](https://etherscan.io/address/0x3C6b0398eEd7dAfcb3C13d482400329a6e25Acd2#code) |                                                                                                                         |

**Factory Contracts** - are factory contracts deployed by Term that deploy optimistic governance for Term Meta Vaults and Strategy Vaults.

<table><thead><tr><th width="310.75">Contract</th><th>Address</th></tr></thead><tbody><tr><td>StrategyGovDeployer.sol</td><td><a href="https://etherscan.io/address/0x007F7869dff5381940510f85d19a46656a736027#code"><code>0x007F7869dff5381940510f85d19a46656a736027</code></a></td></tr><tr><td>VaultGovDeployerBase.sol</td><td><a href="https://etherscan.io/address/0xd4ede46096399a4d6db4fecf5f9a6d303ee68099#readContract"><code>0xd4ede46096399a4d6db4fecf5f9a6d303ee68099</code></a></td></tr></tbody></table>

**Keeper Contracts** - are helper contracts that batch Term vault reporting and Meta Vault  rebalancing

| Contract             | Implementation                                                                                                               | Proxy                                                                                                                                     |
| -------------------- | ---------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| TermVaultsKeeper.sol | [`0x69765e243fa998dd8b9cedacc4e48a0abe72f05d`](https://etherscan.io/address/0x69765e243fa998dd8b9cedacc4e48a0abe72f05d#code) | [`0x5c39Ad7B12487094f9222f0797B2A1eCBf708111`](https://etherscan.io/address/0x5c39Ad7B12487094f9222f0797B2A1eCBf708111#readProxyContract) |
| {% endtab %}         |                                                                                                                              |                                                                                                                                           |
| {% endtabs %}        |                                                                                                                              |                                                                                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.term.finance/periphery-contracts/curated-vaults/deployed-contracts/ethereum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
